Subject: Re: Benjamin Kaduk's Yes on draft-ietf-httpbis-h3-websockets-02: (with COMMENT)

From: Ryan Hamilton <[email-masked]>
Date: Mon, 7 Feb 2022 15:04:32 -0800

Hi Benjamin,

Thanks for the review!

On Fri, Jan 28, 2022 at 3:38 PM Benjamin Kaduk via Datatracker <
[email-masked]> wrote:

> Benjamin Kaduk has entered the following ballot position for
> draft-ietf-httpbis-h3-websockets-02: Yes
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> A couple editorial nits in
> https://github.com/httpwg/http-extensions/pull/1904
> and just one "real" comment.
>
> Section 1
>
>    HTTP/3.  This extension makes use of an HTTP/2 setting.  Appendix A.3
>    of [HTTP3] describes the required updates for HTTP/2 settings to be
>    used with HTTP/3.
>
> The referenced appendix mostly (by line count) talks about how individual
> HTTP/2 settings (or the semantics thereof) are mapped to HTTP/3; however,
> it does not list or discuss SETTINGS_ENABLE_CONNECT_PROTOCOL.  That leads
> me to surmise that the intent here is instead to refer to the statements
> like "Settings ported from HTTP/2 might choose to redefine their value to
> limit it to 30 bits for more efficient encoding, or to make use of the
> 62-bit space if more than 30 bits are required" and "Settings need to be
> defined separately for HTTP/2 and HTTP/3."  If so, perhaps something
> like "gives some guidance on what changes (if any) are appropriate when
> porting settings from HTTP/2 to HTTP/3" would help direct the reader to
> the intended part of A.3?
>

Thanks, that's definitely clearer! I've fixed this in the Editor's Draft
and will release a new -03 version shortly.